Bug 549476 - Stack trace when executing on system with multiple video cards
Stack trace when executing on system with multiple video cards
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 14:10 EST by Wart
Modified: 2010-12-03 20:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:23:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wart 2009-12-21 14:10:09 EST
Description of problem:
When I try to execute system-config-display from a terminal, it generates a stack trace and fails.

Version-Release number of selected component (if applicable):
system-config-display-2.2-1.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open a terminal
2. Switch to root
3. Run 'system-config-display'
  
Actual results:
# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds


Expected results:
The display configuration GUI appears

Additional info:
I have two video cards in this system, each with 2 outputs (vga+dvi).  Only one of the 4 connected monitors works out of the box.  I was hoping that system-config-display would give me the option to set up the additional cards/monitors.

# lspci  | grep VGA
02:00.0 VGA compatible controller: nVidia Corporation GeForce 8400 GS (rev a1)
03:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7300 LE] (rev a1)
Comment 1 Wart 2009-12-21 14:23:33 EST
After removing /etc/X11/xorg.conf and rebooting, the original error seems to have gone away.  The first two monitors, connected to the first video card, are now working.  But system-config-display is still unable to see/configure the second video card.  When I go to the dual-head tab and select the 'Use dual head' option, I can't select any 'Second Video Card'.  No choices are presented in the drop down menu.  If I click 'ok' without selecting a second video card, I get another stack trace:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 162, in ok
    second_monitor = self.xconfig.monitor[1]
IndexError: index out-of-bounds

If I select a second monitor type of "LCD Panel 1600x1200" and then hit 'Ok', I get a slightly different error:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'

How can I select the second physical  video card to use in the dual-head setup?
Comment 2 Bug Zapper 2010-11-03 22:50:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ankur Sinha (FranciscoD) 2010-11-05 01:18:54 EDT
hello,

Can you look at #493680. This one looks like a duplicate?

Ankur
Comment 4 Bug Zapper 2010-12-03 20:23:40 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.